Package org.jfree.layouting.input.style.keys.box

## Class Floating

- java.lang.Object
- - org.jfree.layouting.input.style.keys.box.Floating

-     public class Floating
      extends java.lang.Object

  Defines the floating property. Floating elements create a new flow inside an existing flow.

  The properties left and top are equivalent, as as right and bottom. All properties in the specification can be reduced to either left or right in the computation phase.

  Floating images cannot leave their containing block vertically or horizontally. If negative margins are given, they may be shifted outside the content area, but vertical margins will increase the 'empty-space' between the blocks instead of messing up the previous element.

  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CSSConstant` | `BOTTOM` |
    `static CSSConstant` | `END` |
    `static CSSConstant` | `IN_COLUMN` |
    `static CSSConstant` | `INSIDE` |
    `static CSSConstant` | `LEFT` |
    `static CSSConstant` | `MID_COLUMN` |
    `static CSSConstant` | `NONE` |
    `static CSSConstant` | `OUTSIDE` |
    `static CSSConstant` | `RIGHT` |
    `static CSSConstant` | `START` |
    `static CSSConstant` | `TOP` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LEFT

          public static final CSSConstant LEFT

    - #### RIGHT

          public static final CSSConstant RIGHT

    - #### TOP

          public static final CSSConstant TOP

    - #### BOTTOM

          public static final CSSConstant BOTTOM

    - #### INSIDE

          public static final CSSConstant INSIDE

    - #### OUTSIDE

          public static final CSSConstant OUTSIDE

    - #### START

          public static final CSSConstant START

    - #### END

          public static final CSSConstant END

    - #### NONE

          public static final CSSConstant NONE

    - #### IN_COLUMN

          public static final CSSConstant IN_COLUMN

    - #### MID_COLUMN

          public static final CSSConstant MID_COLUMN